////////////////////////////////////////////////////
// BCC2ECC.cpp
// このソフトはbcc32（bcc55）でコンパイル
// できますが、正常に動作しない可能性があります。
// bcc32c（bcc102）を使ってください。
// 詳しくは↓
//https://ameblo.jp/ysama2021/entry-12763568154.html
//Copyright (c) 09/06/2022 by BCCSkelton
////////////////////////////////////////////////////
#include	"BCC2ECC.h"
#include	"BCC2ECCProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!BCC2ECC.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "BCC2ECC");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!BCC2ECC.Create(NULL, hInstance, "IDD_MAIN", ModelessProc))
		return 0L;

	//メッセージループに入る
	return BCC2ECC.Loop();
}
